Bug 240164 - databases/ruby-bdb does not build with ruby 2.6
Summary: databases/ruby-bdb does not build with ruby 2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks: 240094
  Show dependency treegraph
 
Reported: 2019-08-28 10:15 UTC by Matthias Fechner
Modified: 2019-09-07 19:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (knu)


Attachments
Fix build for ruby 2.6 (905 bytes, patch)
2019-08-28 12:39 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2019-08-28 10:15:04 UTC
Switch the default ruby version to 2.6 (see depending port), you will get the following error:
http://package18.nyi.freebsd.org/data/120amd64-default-PR238988/2019-08-28_05h21m12s/logs/ruby26-bdb-0.6.6_6.log
Comment 1 Matthias Fechner freebsd_committer 2019-08-28 12:39:42 UTC
Created attachment 206968 [details]
Fix build for ruby 2.6
Comment 2 Matthias Fechner freebsd_committer 2019-09-07 19:55:18 UTC
Committed by 511416.